import 'dart:convert';
import 'package:flutter/widgets.dart';

class Langaugeset {
  Locale locale;
  Map map;

  //Map must be typeOf Map<String, String>
  Langaugeset(Locale locale, Map map) {
    if(map.keys.single.runtimeType == String && map.values.single.runtimeType == String){
    this.locale = locale;
    this.map = map;
    }else{
      throw ("Map does not meet requirements. Languageset with Locale: ${locale.scriptCode}");
    }
  }

  ///Returns Languageset from JsonString
  ///Json should look like this:
  ///{
  ///"1":"2",
  ///"2":"2"
  ///}
  ///Key and Value of every element in JsonString has to be typeOf String
  factory Langaugeset.fromJsonString(Locale locale, String jsonFile) {
    Map<String,dynamic> jsonMap = json.decode(jsonFile);
    if (jsonMap.keys.single.runtimeType == String && jsonMap.values.single.runtimeType == String) {
        return Langaugeset(locale, jsonMap);
      } else {
        throw ("jsonString does not meet requirements. Languageset with Locale: ${locale.scriptCode}");
      }
    }
  
}
